{ config, lib, pkgs, ... }:
let
  domain = "komga.home.feal.no";
  cfg = config.services.komga;
in {
  services.nginx.virtualHosts.${domain} = {
    locations."/".proxyPass = "http://127.0.0.1:${toString cfg.port}";

    extraConfig = ''
      client_max_body_size 512M;
    '';
  };

  services.komga = {
    enable = true;
    stateDir = "/tank/media/komga";
    port = 8034;
  };
}
